aboutsummaryrefslogtreecommitdiffstats
path: root/main/fping/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-08-25 10:56:50 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-08-25 10:56:50 +0000
commit93f0b82658be2fcc8d5a15c4e0cce1a9b0777300 (patch)
tree4d3b3027523bc84b45e4e12786491ea1ff68c2c3 /main/fping/APKBUILD
parent1ea017abc1c6c3f22b316265f73446dc52c9ab8a (diff)
downloadaports-93f0b82658be2fcc8d5a15c4e0cce1a9b0777300.tar.gz
aports-93f0b82658be2fcc8d5a15c4e0cce1a9b0777300.tar.bz2
aports-93f0b82658be2fcc8d5a15c4e0cce1a9b0777300.tar.xz
main/fping: setuid root
ref #730
Diffstat (limited to 'main/fping/APKBUILD')
-rw-r--r--main/fping/APKBUILD14
1 files changed, 11 insertions, 3 deletions
diff --git a/main/fping/APKBUILD b/main/fping/APKBUILD
index dbb311294f..aaf5a2d3f6 100644
--- a/main/fping/APKBUILD
+++ b/main/fping/APKBUILD
@@ -1,7 +1,9 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+
pkgname=fping
pkgver=2.4_beta2
_myver=2.4b2_to
-pkgrel=3
+pkgrel=4
pkgdesc="A utility to ping multiple hosts at once"
url="http://www.fping.com/"
arch="all"
@@ -13,12 +15,18 @@ subpackages="$pkgname-doc"
#source="http://www.$pkgname.com/download/$pkgname-${myver}.tar.gz"
source=http://distfiles.gentoo.org/distfiles/fping-${_myver}.tar.gz
+_builddir="$srcdir"/$pkgname-$_myver
build () {
- cd $startdir/src/$pkgname-${_myver}
+ cd "$_builddir"
./configure --prefix=/usr \
--mandir=/usr/share/man
make || return 1
- make install DESTDIR="$pkgdir"
+}
+
+package() {
+ cd "$_builddir"
+ make install DESTDIR="$pkgdir" || return 1
+ chmod 4755 "$pkgdir"/usr/sbin/fping
}
md5sums="d5e8be59e307cef76bc479e1684df705 fping-2.4b2_to.tar.gz"